Subject: Re: bash: cat << EOF
From: Samuel Thibault <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 20 Jul 2003 18:25:16 -0400

Le sam 19 jui 2003 23:32:58 GMT, Larry Hall wrote:
> You may want to try setting 'nosmbntsec' and see if that helps.

it doesn't.

Peter A. Castro wrote:
> I think it's time you gave us more information about your machine
> configuration.

Well, I wished we knew ourselves...

Christopher Faylor wrote:
> FWIW, to me it sounds like you have more than one version of cygwin
> on your system.

which clue makes you think that? we only have a repository in
//lvsmb/softeleves/arch/windows-i386/cygwin, to which point both s:\,
/soft/eleves/arch/windows-i386/cygwin and /soft/eleves.arch/cygwin

I had a look at tcsh's trace, the relevant part becomes:
 355  146318 [main] cat 2952 build_argv: argc 1
1538  147856 [main] cat 2952 handle_to_fn: nt name '\Device\LanmanRedirector\lvsmb\softeleves\tmp\sh2976'
2657  150513 [main] cat 2952 handle_to_fn: current match '\Device\LanmanRedirector\lvsmb\softeleves'
 777  151290 [main] cat 2952 handle_to_fn: derived path 'S:\tmp\sh2976'

Well, I finaly had c:\temp mounted on /tmp to avoid any networking
thing (s: is \\lvsmb\softeleves), and it works. The trace for bash is then:
 299  142336 [main] cat 1948 build_argv: argc 1
1373  143709 [main] cat 1948 handle_to_fn: nt name '\Device\HarddiskVolume2\temp\sh-thd-1058740407'
3060  146769 [main] cat 1948 handle_to_fn: current match '\Device\HarddiskVolume2'
 366  147135 [main] cat 1948 handle_to_fn: derived path 'C:\temp\sh-thd-1058740407'

this name should have worked on s:\tmp, though...

I'm just hoping c:\temp is really world-writeable on every workstation
from which we are allowed to login (there is one where we actually *can*
login, but is not reserved for us for instance, on which this isn't true)

Regards,
Samuel Thibault

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/